/******************************************************************************
*
* File: tables.c
*
* Description: This module contains the address table, association table and
*              communication object table.
*
* Date: 01/31/2007
*
* Revision: 1
*
* (C) 2007 Copyright Siemens AG
*
* Author: Schiekofer
*
* Modified:
*
* Changes:
*
******************************************************************************/
#include "BIM_M13x.h"

#pragma constseg = ADDR116
const BYTE AdrTab[] =
{     NUM_OF_COM_OBJ + 1,   // for debug: one group address per communication object
      0xFF, 0xFF,           // physical address
      // group addresses
      0x24, 0x00,    0x24, 0x01,    0x24, 0x02,
      0x00                  // padding
};

const BYTE AssTab[] =
{     NUM_OF_COM_OBJ + 0,   // for debug: one association per communication object
      0x01, 0x00,    0x02, 0x01,    0x03, 0x02,
      0x00                  // padding
};

const BYTE EE_CommsTab[] =
{     NUM_OF_COM_OBJ, 0x00, // number of communication objects,
                            // pointer to RAMFlags is not longer used
                            // but must be specified for compatibility
      VALID_BCU2ADR, (COMM_ENABLE + WRITE_ENABLE + TRANSMIT_ENABLE + READ_ENABLE + TX_LOW), UINT1,
      VALID_BCU2ADR, (COMM_ENABLE + WRITE_ENABLE + TRANSMIT_ENABLE + READ_ENABLE + TX_LOW), UINT1,
      VALID_BCU2ADR, (COMM_ENABLE + WRITE_ENABLE + TRANSMIT_ENABLE + READ_ENABLE + TX_LOW), UINT1
};
#pragma constseg = default
